
.header{
    display: flex;
    align-items: center;
    padding: .3rem .5rem;
    position: fixed;
    top: .2rem;
    left: .5rem;
    right: .5rem;
    z-index: 500;
    background: transparent;
    box-shadow: inset 0 7px 25px #fff;
    background: rgba(255, 255, 255, 0.5);
    border: 1px solid transparent;
    border-radius: 2rem;
    backdrop-filter: blur(5px);
    outline: 2px solid #fff;
    outline-offset: -2px;
    gap: .5rem;
}


.header.active{
    border: 1px solid #fff;
    filter: grayscale(50%);
    filter: drop-shadow(0 5px 8px rgba(0,0, 0, .3));
}

.header .logo{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: .5rem;
    width: max-content;
    color: #757f83;
    padding: .2rem .7rem;
    background:rgba(255, 255, 255, 0.904);
    border-radius: 3rem;
    font-size: clamp(.9rem, 2vw, 1.3rem);
    margin-right: auto;
    font-weight: 300;
    border: 1px solid #eee;
}
.header .logo img{
    height: 2rem;
}
.header .navbar{
    align-items: center;
    justify-content: center;
    margin-left: auto;
    display: flex;
    background: rgba(255, 255, 255, 0.5);
    border-radius: 2rem;
    overflow: hidden;
    box-shadow: 0 5px 10px rgba(0,0, 0, .1);
    border: 1px solid #fff;
}
.header .navbar a{
    font-size: clamp(.8rem, 1vw, 1.3rem);
    color: #575757;
    font-weight: 200;
    padding:.3rem .5rem;
}
.header .navbar a:hover{
    background: rgba(61, 94, 104, 0.716);
    color: #fff;
    
}
.header .navbar a.active{
    background: linear-gradient(45deg,#603885, #8a4fc2 );
    color: #fff;
    font-weight: 500;
}
.header .btnNav{
    cursor: pointer;
    font-size: clamp(1.4rem, 2vw, 1.7rem);
    color: #6e7271;
    background: #fff;
    padding: .3rem;
    border-radius: 50%;
}




.header .idiomaCascada{
    background: linear-gradient(45deg, #4f6870, #5390a0);
    padding: .3rem .7rem;
    border-radius: 1rem;
    color: #fff;
    cursor: pointer;
}
.header .idiomaCascada option{
    background: #7caaad;
}



.sideNav{
    width: 100%;
    position: fixed;
    top: 0rem;
    left: -100%;
    z-index: 110;
    background: rgba(107, 107, 107, 0.7);
    min-height: 100svh;
    padding: 1.5rem;
    backdrop-filter: blur(15px);
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: inset 0 1rem 1.5rem rgba(255, 255, 255, 0.774),
                inset 0 -1rem 1.5rem rgba(255, 255, 255, 0.774);
    outline: 5px solid #fff;
    outline-offset: -3px;
    cursor: default;
}
.sideNav.active{
    left: 0;
}
.sideNav .contenedor{
    display: flex;
    flex-direction: column;
    width: 100%;
    background: rgba(255, 255, 255, 0.4);
    padding: .5rem;
    border-radius: 1rem;
    box-shadow:inset 0 .5rem 2rem rgba(255,255,255, 0.8),
               inset 0 -.5rem 2rem rgba(255,255,255, 0.8);
    row-gap: .3rem;
    min-height: 80svh;
    border: 3px solid #fff;
}
.sideNav .contenedor .navLinks{
    display:flex;
    flex-wrap: wrap;
    border-radius: 3rem;
    gap: .3rem;
}
.sideNav .contenedor .navLinks a{
    padding: .3rem .5rem;
    border-radius: 1.5rem;
    background: rgba(0,0,0, .2);
    font-size: clamp(.6rem, 2vw, .8rem);
    color: #fff;
    text-align: center;
    flex: 1 1 8rem;
    border: 1px solid #eee;
    font-weight: 200;
}
.sideNav .contenedor .navLinks a:hover{
    background: #555;
}
.sideNav .contenedor .navLinks a.active{
    background: linear-gradient(0, #333, #555);
    color: #fff;
}

.sideNav .contenedor .contact{
    display: flex;
    align-items: center;
    gap: .5rem;
    width: 100%;
}
.sideNav .contenedor .contact a{
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    padding: .3rem .7rem;
    border: 1px solid #eee;
    border-radius: 2rem;
    box-shadow: 0 5px 8px rgba(0,0,0, .080);
    font-size: clamp(.5rem, 2vw, 1rem);
    background: rgba(0,0,0, .180);
}
.sideNav .contenedor .contact a:hover{
    background: #555;
}



.sideNav .contenedor .socialNet{
    padding:.4rem;
    background: rgba(255, 255, 255, 0.568);
    width: max-content;
    border-radius: 7rem;
    margin-top:auto;
    gap: .3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #fff;
}
.sideNav .contenedor .socialNet a{
    padding: .3rem;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.596);
    border: 1px solid #fff;
    color: #858585;
    font-size: 1.3rem;
    box-shadow: 0 3px 5px rgba(0,0,0, .180);
    animation: shakeIcon 7s linear infinite;
}
.sideNav .contenedor .socialNet a:hover{
    background: #fff;
    color: #000;
    scale: 1.070;
}


@keyframes shakeIcon{
    0%{
        transform: rotate(0);
        scale: 1;
    }
    97%{
        transform: rotate(0);
        scale: 1;
    }
    98%{
        transform: rotate(-3deg);
        scale: 1.110;
    }
    99%{
        transform: rotate(3deg);
    }
    100%{
        transform: rotate(-3deg);
    }

}

.sideNav .contenedor .horarioCont{
    display: flex;
    flex-wrap: wrap;
    gap: .3rem;
    width: 100%;
    height: 100%;
    margin-bottom: 1.5rem;
}
.sideNav .contenedor .horarioCont .boxH{
    font-size: clamp(.6rem, 2vw, .9rem);
    padding: .3rem;
    flex: 1 1 8rem;
    display: flex;
    flex-direction: column;
    row-gap: .1rem;
    align-items: center;
    justify-content: center;
    border-radius: 3rem;
    box-shadow: 0 5px 8px rgba(0,0,0, .080);
    background: rgba(124, 124, 124, 0.4);
    border: 1px solid #eee;
    color: #fff;
}

.sideNav .contenedor .closeThisNav{
    transform: translateX(-50%);
    margin-left: 50%;
    padding: .5rem 4rem;
    border-radius: 5rem;
    background: #444;
    width: max-content;
    color: #fff;
    cursor: pointer;
    font-size: 1.2rem;
    text-align: center;
}
.sideNav .contenedor .closeThisNav:hover{
    background: #333;
}




.miniNav{
    position: fixed;
    left: .7rem;
    bottom: .2rem;
    z-index: 50;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: .7rem;
    padding:.3rem;
    right: .7rem;
    border-radius: 3rem;
    background: linear-gradient(0, rgba(194, 205, 212, 0.6), rgba(84, 91, 94, 0.7));
    backdrop-filter: blur(5px);
    box-shadow: inset 0 7px 15px rgba(255, 255, 255, 0.589);
    border: 1px solid rgba(225, 251, 255, 0.9);
    outline: 1px solid rgba(255, 255, 255, 0.9);
    outline-offset: -2px;
    filter: drop-shadow(0 5px 12px rgba(0,0,0, .7));
    display: none;
    visibility: hidden;
    pointer-events: none;
}
.miniNav a{
    font-size: 1.7rem;
    color: #d6fffa;
    height: 2.7rem;
    width: 2.7rem;
    outline: 1px solid #98b1b9;
    border-top: 1px solid #a6b4b3;
    border-bottom: 1px solid #99a7a6;
    background: rgba(98, 110, 110, 0.541);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}
.miniNav .daPhone{
    font-size: 2rem;
    height: 3.7rem;
    width: 3.7rem;
    background: rgba(45, 61, 61, 0.719);
    color: #fff;
}





@media(max-width:1200px){

    .header .navbar{
        display: none;
    }
}


@media(max-width:480px){

    .miniNav{
        display: flex;
        visibility: visible;
        pointer-events: all;
    }
}